# Gst::TimeOverlay Class Reference
[gstreamermm Plugins]

Gst::TimeOverlay - timeoverlay plugin. More...

`#include <timeoverlay.h>`

Inheritance diagram for Gst::TimeOverlay:

List of all members.

## Public Member Functions
virtual | ~TimeOverlay ()
GstTimeOverlay* | gobj ()
| Provides access to the underlying C GObject.
const GstTimeOverlay* | gobj () const
| Provides access to the underlying C GObject.
GstTimeOverlay* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
## Static Public Member Functions
static Glib::RefPtr<TimeOverlay> | create ()
| Creates a new timeoverlay plugin with a unique name.
static Glib::RefPtr<TimeOverlay> | create (const Glib::ustring& name)
| Creates a new timeoverlay plugin with the given name.
## Protected Member Functions
| TimeOverlay ()
| TimeOverlay (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Gst::TimeOverlay> | wrap (GstTimeOverlay* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Gst::TimeOverlay - timeoverlay plugin.

Please note that, though using the underlying GObject is fine, using its C type is not guaranteed to be API stable across releases because it is not guaranteed to always remain the same. Also, not all plug-ins are available on all systems so care must be taken that they exist before they are used, otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::TimeOverlay::~TimeOverlay | ( |  | ) | `[virtual]`

Gst::TimeOverlay::TimeOverlay | ( |  | ) | `[protected]`

Gst::TimeOverlay::TimeOverlay | ( | const Glib::ustring & | name | ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<TimeOverlay> Gst::TimeOverlay::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new timeoverlay plugin with the given name.

Reimplemented from Gst::TextOverlay.

static Glib::RefPtr<TimeOverlay> Gst::TimeOverlay::create | ( |  | ) | `[static]`

Creates a new timeoverlay plugin with a unique name.

Reimplemented from Gst::TextOverlay.

const GstTimeOverlay* Gst::TimeOverlay::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::TextOverlay.

GstTimeOverlay* Gst::TimeOverlay::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::TextOverlay.

GstTimeOverlay* Gst::TimeOverlay::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::TextOverlay.

## Friends And Related Function Documentation

Glib::RefPtr<Gst::TimeOverlay> wrap | ( | GstTimeOverlay * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- timeoverlay.h